Subject: bug#8690: 24.0.50; `declare' doc; conflict with cl-macs.el

From: "Drew Adams" <[email-masked]>
Date: Fri, 15 Jul 2011 07:53:47 -0700

> > So perhaps the fix here is just to copy over the doc string from the
> > subr.el version to the cl-macs.el version?
> 
> I wrote a new doc string for the cl-macs.el version.

Hopefully your new doc is _not_ the same as what is in subr.el, unless these two
versions of the macro are in effect the same thing.

It is a bug, if the behaviors are different, to use the same doc.  That makes
things even more confusing.

Any differences between the two macros that affect results or behavior need to
be called out in the doc.  Hopefully you did that (?).

It's unfortunate that Emacs Dev sometimes uses the same names for cl.el stuff
and non-cl.el stuff.  And the addition of `declare' to non-cl Emacs is recent.
Hopefully the macros are identical in effect.  If not then we are introducing
bugs.

But if they are identical, then we should remove the cl.el version altogether,
so I'm guessing that they are not.